# Generated by Django 3.2.5 on 2021-08-06 19:33

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('user', '0001_initial'),
        ('archive', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='uploadedfile',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='user.userextend'),
        ),
        migrations.AddField(
            model_name='uploadedfile',
            name='document_template',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archive.documenttemplate'),
        ),
        migrations.AddField(
            model_name='regionofinterest',
            name='document_template',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archive.documenttemplate'),
        ),
        migrations.AddField(
            model_name='documenttemplate',
            name='archive',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='archive.archive'),
        ),
        migrations.AddField(
            model_name='collection',
            name='archive',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='archive.archive'),
        ),
        migrations.AddField(
            model_name='collection',
            name='parent_collection',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='archive.collection'),
        ),
        migrations.AddField(
            model_name='archive',
            name='created_by',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='user.userextend'),
        ),
    ]
